Bug 1162090 (CVE-2020-8112)

Summary: VUL-0: CVE-2020-8112: openjpeg2, ghostscript: opj_t1_clbl_decode_processor in openjp2/t1.c has a heap-based buffer overflow
Product: [Novell Products] SUSE Security Incidents Reporter: Wolfgang Frisch <wolfgang.frisch>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P3 - Medium CC: gabriele.sonnu, jsmeix, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/252046/
Whiteboard: CVSSv3.1:SUSE:CVE-2020-8112:7.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L) maint:planned:update
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: CVE-2020-8112-openjpeg_poc2

Description Wolfgang Frisch 2020-01-29 09:55:45 UTC
CVE-2020-8112

opj_t1_clbl_decode_processor in openjp2/t1.c in OpenJPEG 2.3.1 through
2020-01-28 has a heap-based buffer overflow in the qmfbid==1 case, a different
issue than CVE-2020-6851.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-8112
https://github.com/uclouvain/openjpeg/issues/1231
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8112
Comment 1 Wolfgang Frisch 2020-01-29 09:58:39 UTC
Created attachment 828545 [details]
CVE-2020-8112-openjpeg_poc2

QA REPRODUCER:

1. compile openjpeg2 with Address Sanitizer
2. opj_decompress -i CVE-2020-8112-openjpeg_poc2 -o /tmp/image_verification.pgm
Comment 4 Gabriele Sonnu 2022-01-12 09:27:27 UTC
Hi, any update on this?
Comment 7 Hans Petter Jansson 2022-04-01 21:34:35 UTC
Done, reassigning to security-team.
Comment 8 Swamp Workflow Management 2022-04-07 19:18:00 UTC
SUSE-SU-2022:1129-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1102016,1106881,1106882,1140130,1140205,1162090,1173578,1180457,1184774,1197738,971617,980504
CVE References: CVE-2016-1924,CVE-2016-3183,CVE-2016-4797,CVE-2018-14423,CVE-2018-16375,CVE-2018-16376,CVE-2018-20845,CVE-2018-20846,CVE-2020-15389,CVE-2020-27823,CVE-2020-8112,CVE-2021-29338,CVE-2022-1122
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    openjpeg2-2.1.0-4.15.1
SUSE OpenStack Cloud Crowbar 8 (src):    openjpeg2-2.1.0-4.15.1
SUSE OpenStack Cloud 9 (src):    openjpeg2-2.1.0-4.15.1
SUSE OpenStack Cloud 8 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP5 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    openjpeg2-2.1.0-4.15.1
HPE Helion Openstack 8 (src):    openjpeg2-2.1.0-4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-04-19 10:24:40 UTC
SUSE-SU-2022:1252-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1076314,1076967,1079845,1102016,1106881,1106882,1140130,1160782,1162090,1173578,1180457,1184774,1197738
CVE References: CVE-2018-14423,CVE-2018-16375,CVE-2018-16376,CVE-2018-20845,CVE-2018-5727,CVE-2018-5785,CVE-2018-6616,CVE-2020-15389,CVE-2020-27823,CVE-2020-6851,CVE-2020-8112,CVE-2021-29338,CVE-2022-1122
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    openjpeg2-2.3.0-150000.3.5.1
openSUSE Leap 15.3 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Manager Server 4.1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Manager Retail Branch Server 4.1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Manager Proxy 4.1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server for SAP 15 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Enterprise Storage 7 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Enterprise Storage 6 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE CaaS Platform 4.0 (src):    openjpeg2-2.3.0-150000.3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-04-21 19:20:58 UTC
SUSE-SU-2022:1296-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1102016,1106881,1162090,1173578,1180457,1184774
CVE References: CVE-2018-14423,CVE-2018-16376,CVE-2020-15389,CVE-2020-27823,CVE-2020-8112,CVE-2021-29338
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    openjpeg-1.5.2-150000.4.5.1
openSUSE Leap 15.3 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Manager Server 4.1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Manager Retail Branch Server 4.1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Manager Proxy 4.1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server for SAP 15 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Enterprise Storage 7 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Enterprise Storage 6 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE CaaS Platform 4.0 (src):    openjpeg-1.5.2-150000.4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Gabriele Sonnu 2022-09-16 09:26:21 UTC
Done.